/// <reference types="node" />
import { IncomingMessage, ServerResponse } from "http";
export declare const Method: {
    GET: string;
    POST: string;
    PUT: string;
    DELETE: string;
};
export declare class Request extends IncomingMessage {
}
export declare class Response extends ServerResponse {
}
declare class Router {
    routes: {
        [key: string]: Route[];
    };
    constructor();
    registerRoutes(callback: (router: Router) => void): void;
    dispatch(req: Request, res: Response): void;
    get(path: string, action: (req: Request, res: Response) => void): void;
}
export declare class Route {
    method: string;
    path: string;
    action: (req: Request, res: Response) => void;
    regex: RegExp;
    constructor(method: string, path: string, action: (req: Request, res: Response) => void);
    isMatch(req: Request): boolean;
    private buildRegex;
}
export declare const router: Router;
export {};
