"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
const Router_1 = require("./Router");
const Config_1 = require("./Services/Config");
const Path_1 = require("./Services/Path");
const http = require('http');
const port = process.env.PORT;
class App {
    pathService;
    configService;
    constructor() {
        this.pathService = new Path_1.PathService(process.cwd());
        this.configService = new Config_1.ConfigService(this.pathService.configPath());
    }
    async run() {
        await Promise.resolve().then(() => __importStar(require(this.pathService.routesPath('web.js'))));
        const server = http.createServer((req, res) => {
            res.statusCode = 200;
            res.setHeader('Content-Type', 'text/html');
            Router_1.router.dispatch(req, res);
        });
        server.listen(port, () => {
            console.log(`Server running at port ${port}`);
        });
    }
}
exports.App = App;
